Clipform

Search news articles

Search current news articles via NewsAPI and The Guardian.

POST
/creative/search/news

Authorization

Authorization
Required
Bearer <token>

API key (cf_*) passed as Bearer token

In: header

Request Body

application/jsonRequired
query
Required
string

News search query

countinteger

Max results per provider

Default: 5Minimum: 1Maximum: 15
curl -X POST "https://api.clipform.io/v1/creative/search/news" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "query": "string",
    "count": 5
  }'

News results

{
  "results": [
    {
      "title": "string",
      "description": "string",
      "source": "string",
      "author": "string",
      "url": "http://example.com",
      "imageUrl": "http://example.com",
      "publishedAt": "string"
    }
  ]
}